# read_write_lock::write_lock Class Reference

Exception-safe write-lock class. More...

`#include <_rwlock.h>`

List of all members.

## Public Member Functions

| write_lock (read_write_lock &x)
| ~read_lock ()
read_write_lock & | get ()

## Private Attributes

read_write_lock * | _mtx

## Detailed Description

Exception-safe write-lock class.

Definition at line 59 of file _rwlock.h.

## Constructor & Destructor Documentation

read_write_lock::write_lock::write_lock | ( | read_write_lock & | x | ) | `[inline]`

Definition at line 63 of file _rwlock.h.

References _mtx, and read_write_lock::lock_write().

read_write_lock::write_lock::~read_lock | ( |  | ) | `[inline]`

Definition at line 64 of file _rwlock.h.

References _mtx, and read_write_lock::unlock_write().

## Member Function Documentation

read_write_lock& read_write_lock::write_lock::get | ( |  | ) | `[inline]`

Definition at line 65 of file _rwlock.h.

References _mtx.

## Member Data Documentation

read_write_lock* read_write_lock::write_lock::_mtx `[private]`

Definition at line 61 of file _rwlock.h.

Referenced by get(), write_lock(), and ~read_lock().

The documentation for this class was generated from the following file:

- _rwlock.h